Skip to main content
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
analyseSettings
Get analyse settings
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/analyseSettings \
  --header 'Authorization: <api-key>'
{
  "type": "PreAnalyse",
  "includeFuzzyRepetitions": true,
  "separateFuzzyRepetitions": true,
  "includeNonTranslatables": true,
  "includeMachineTranslationMatches": true,
  "includeConfirmedSegments": true,
  "includeNotConfirmedSegments": true,
  "includeNumbers": true,
  "includeLockedSegments": true,
  "countSourceUnits": true,
  "includeTransMemory": true,
  "namingPattern": "<string>",
  "analyzeByLanguage": true,
  "analyzeByProvider": true,
  "allowAutomaticPostAnalysis": true,
  "transMemoryPostEditing": true,
  "nonTranslatablePostEditing": true,
  "machineTranslatePostEditing": true,
  "skipMtScoreThreshold": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Response

successful operation

type
enum<string>
required
Available options:
PreAnalyse,
PostAnalyse,
PreAnalyseTarget,
Compare
includeFuzzyRepetitions
boolean

Default: false

separateFuzzyRepetitions
boolean

Default: false

includeNonTranslatables
boolean

Default: false

includeMachineTranslationMatches
boolean

Default: false

includeConfirmedSegments
boolean

Default: false

includeNotConfirmedSegments
boolean

Default: false

includeNumbers
boolean

Default: false

includeLockedSegments
boolean

Default: false

countSourceUnits
boolean

Default: false

includeTransMemory
boolean

Default: false

namingPattern
string
analyzeByLanguage
boolean

Default: false

analyzeByProvider
boolean

Default: false

allowAutomaticPostAnalysis
boolean

If automatic post analysis should be created after update source. Default: false

transMemoryPostEditing
boolean

Default: false

nonTranslatablePostEditing
boolean

Default: false

machineTranslatePostEditing
boolean

Default: false

skipMtScoreThreshold
number<double>

Used only for Default analysis. Threshold above which the MT suggestions are not used. Default: value from PreTranslate settings